Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.transaction
Class TransactionManagerLookupFactory

    java.lang.Object
      org.hibernate.transaction.TransactionManagerLookupFactory

    public final class TransactionManagerLookupFactory

extends Object

Helper for generating `TransactionManagerLookup` instances.

Author:
  Gavin King

Method Summary
`static TransactionManager` | `getTransactionManager(Properties props)` Convenience method for locating the JTA `TransactionManager` from the given platform config.
`static TransactionManagerLookup` | `getTransactionManagerLookup(Properties props)` Generate the appropriate `TransactionManagerLookup` given the config settings being passed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getTransactionManager

    public static TransactionManager getTransactionManager(Properties props)
                                                    throws HibernateException

  Convenience method for locating the JTA `TransactionManager` from the given platform config.

  Same as calling `getTransactionManager(java.util.Properties)`.getTransactionManager( props )

  Parameters:
    `props` - The properties representing the platform config
  Returns:
    The located `TransactionManager`
  Throws:
    `HibernateException` - Indicates a problem either (a) generatng the `TransactionManagerLookup` or (b) asking it to locate the `TransactionManager`.

### getTransactionManagerLookup

    public static TransactionManagerLookup getTransactionManagerLookup(Properties props)
                                                                throws HibernateException

  Generate the appropriate `TransactionManagerLookup` given the config settings being passed.

  Parameters:
    `props` - The config settings
  Returns:
    The appropriate `TransactionManagerLookup`
  Throws:
    `HibernateException` - Indicates problem generating `TransactionManagerLookup`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.